# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(PDL.pm)
# END SourceDeps(oneline)
%define module_name LaTeX-PGF-Diagram2D
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02
Release: alt1
Summary: Perl extension for drawing 2D diagrams.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DK/DKRAUSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The module can be used to draw 2D diagrams following DIN 461 (a german
standard) for use with LaTeX.
The output of the module is a *.pgf file. In your LaTeX source make sure
to have

  \usepackage{pgf}

in the preamble. The *.pgf files can be used with both latex/dvips and
pdflatex.

Use code like

  \begin{figure}%%
  {\centering%%
  \input{file.pgf}\caption{My caption}\label{blablablubb}%%
  }%%
  \end{figure}

to include the produced graphics.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/L*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

